Page MenuHomePhabricator

CC-BY-SA should be CC BY-SA
Closed, ResolvedPublic

Description

Apparently I've become a pilkunnussija, and I noticed that in the mobile app we're showing CC-BY-SA in some places when it should be CC BY-SA. Any chance we can fix? Obviously lowest of low priorities. :)

Details

Related Gerrit Patches:
mediawiki/extensions/CommonsMetadata : masterMake sure spaces in CC license shortnames are handled correctly
mediawiki/extensions/CommonsMetadata : masterFix CC license names

Event Timeline

LuisV_WMF raised the priority of this task from to Low.
LuisV_WMF updated the task description. (Show Details)
LuisV_WMF added a project: CommonsMetadata.
LuisV_WMF changed Security from none to None.
LuisV_WMF added subscribers: LuisV_WMF, Deskana.

Change 179568 had a related patch set uploaded (by MarkTraceur):
Fix CC license names

https://gerrit.wikimedia.org/r/179568

Patch-For-Review

Change 179568 abandoned by MarkTraceur:
Fix CC license names

Reason:
Not necessary.

https://gerrit.wikimedia.org/r/179568

MarkTraceur closed this task as Invalid.Dec 12 2014, 11:23 PM
MarkTraceur claimed this task.

This text comes from the template on Commons. You'll need to request or execute a change on http://commons.wikimedia.org/wiki/Template:cc-by-sa-3.0 et al.

Where does it come from in the template? Just the name, or... ? (I assume
we can't have a space in the template name?)

Tgr added a subscriber: Tgr.Dec 12 2014, 11:31 PM

The master templates to fix would be Cc-by-layout and Cc-by-sa-layout, although that's only Commons of course.

Tgr added a comment.Dec 12 2014, 11:34 PM

Where does it come from in the template? Just the name, or... ? (I assume
we can't have a space in the template name?)

It's the <span class="licensetpl_short" style="display:none;">CC-BY-{{{version|}}}{{#if:{{{country|}}}|-{{{country}}}}}</span> part towards the end of the template, so it's separate from everything. They use the same format in category names and template names (neither has technical restrictions for spaces).

Tgr changed the task status from Invalid to Resolved.Dec 14 2014, 12:17 AM

Thanks Luis and TheDJ!
(Due to the various caches involved, this might take about two days to take effect.)

This was suggested before but never went ahead as no confirmation could be gotten from the MediaViewer team that things wouldn't break. Has that been checked since?

Tgr added a comment.Dec 14 2014, 6:22 PM

This was suggested before but never went ahead as no confirmation could be gotten from the MediaViewer team that things wouldn't break.

That ping probably went unnoticed. An email or a ticket is usually a more reliable form of getting confirmation.

Worst thing that could happen is that it doesn't recognize it as a CC license and doesn't display the little CC logo until it is fixed, which is still not a big deal, so no reason to block because of that. Most of the license data is parsed from the template, whether it is recognized or not.

Anyway, I'll add a test to CommonsMetadata to make sure it handles things correctly.

Change 179785 had a related patch set uploaded (by Gergő Tisza):
Make sure spaces in CC license shortnames are handled correctly

https://gerrit.wikimedia.org/r/179785

Patch-For-Review

Change 179785 merged by jenkins-bot:
Make sure spaces in CC license shortnames are handled correctly

https://gerrit.wikimedia.org/r/179785

Tacsipacsi reopened this task as Open.Dec 28 2014, 5:56 PM
Tacsipacsi added a subscriber: Tacsipacsi.

MultimediaViewer doesn't handle this change, see this (shows a book instead of CC logo).

Tgr added a comment.Dec 28 2014, 8:24 PM

MultimediaViewer doesn't handle this change, see this (shows a book instead of CC logo).

That's probably just the CommonsMetadata change being late. I forgot that the servers don't get code updates for two weeks around Christmas. The change will go out on January 7, I think.

Aklapper closed this task as Resolved.Dec 28 2014, 10:52 PM

This is fixed in the codebase, hence closing again. See https://www.mediawiki.org/wiki/Bug_management/Bug_report_life_cycle for the meaning of resolved and see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap for deployment dates (when to expect the fix to be available on Wikimedia servers).